Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions | Public Attributes | Static Public Attributes
ViewProp Class Reference
Inheritance diagram for ViewProp:

## Public Member Functions
| ViewProp (const std::string &n)
| constructor
| ~ViewProp ()
| destructor
std::string | kind () const
| identifies the property
void | clear ()
| set default values
void | read (Glossary &)
| set from a Glossary
Property * | clone () const
| return a carbon copy of object
void | write_data (std::ostream &) const
| write all values
Public Member Functions inherited from Property
| Property (const std::string &n, const int index=-1)
| constructor must provide a name
virtual | ~Property ()
| destructor
std::string | name () const
| return identifier for instantiation
void | name (const std::string &n)
| change name
bool | is_named (const std::string &n)
| true if 'name' matches
int | index () const
| index, unique among all Property of similar kind()
void | index (int x)
| set index in the array of Properties
bool | modified () const
| true if at least one value is different than its default setting
void | readString (std::string &, char stamp)
| set from a string, return number of values assigned More...
void | readFile (const char file[])
| set from a string, return number of values assigned
virtual void | complete (SimulProp const *sp, PropertyList *plist)
| set variables derived from the parameters, and check consistency of values More...
void | write_diff (std::ostream &, const Property *ref) const
| write only values that differ from the ones specified in ref
void | write_diff (std::ostream &, bool prune) const
| if ( prune == true ), write values that differ from the default values
void | write (std::ostream &, bool prune=false) const
| write header + data More...

## Public Attributes
real | zoom
| zoom factor = ratio between visible area and `view_size`
real | view_size
| size of area visible in the window, in sim-units (default=10)
unsigned int | auto_scale
| enables the display area to be set from the size of the simulation space More...
Vector3 | focus
| the point that is in the center of the window in real-world coordinates
Vector3 | focus_shift
| additional translation used by autoTrack
Quaternion< real > | rotation
| orientation of display
unsigned int | traveling
| enables auto_translation, auto_zoom or auto_rotation More...
Vector3 | auto_translation
| translation speed of display (known as `traveling`[1]) More...
Quaternion< real > | auto_rotation
| rotational speed of display (known as `traveling`[2]) More...
real | auto_zoom
| zooming speed of display (known as `traveling`[3]) More...
int | window_position [2]
| position of window on screen (top-left corner, in pixels)
unsigned int | window_size [2]
| desired size of window in pixels (also known as `size`)
real | scale_bar
| size of scale-bar in sim-world units
unsigned int | show_scale
| display flag for scale-bar (set as `scale_bar`[1])
unsigned int | show_axes
| display flag for axes
unsigned int | clip_plane_mode [NB_CLIP_PLANES]
| on/off flags for clipping (defined as `clip_plane`?) More...
Vector3 | clip_plane_vector [NB_CLIP_PLANES]
| direction perpendicular to clipping plane (defined as `clip_plane`?[1])
real | clip_plane_scalar [NB_CLIP_PLANES]
| scalar offset defining the equation of the clipping plane (defined as `clip_plane`?[2])
unsigned int | track_fibers
| automatically adjust view to keep fibers in window More...
int | fog_type
| characteristics of OpenGL fog (also known as `fog`[0])
real | fog_density
| density of fog (also known as `fog`[1])
gle_color | fog_color
| color of fog (also known as `fog`[2])
real | eyeTranslation [3]
| position between Camera and the origin

## Static Public Attributes
static const unsigned int | NB_CLIP_PLANES = 3
| number of OpenGL clipping planes

## Additional Inherited Members
Static Public Member Functions inherited from Property
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const &c)
| formatted output of one parameter
template<typename C >
static void | write_param (std::ostream &os, std::string const &name, C const *c, int cnt)
| formatted output of one parameter
template<typename C , typename D >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d)
| formatted output of one parameter
template<typename C , typename D , typename E >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e)
| formatted output of one parameter
template<typename C , typename D , typename E , typename F >
static void | write_param (std::ostream &os, std::string const &name, C const &c, D const &d, E const &e, F const &f)
| formatted output of one parameter